# Handbok &amarok;

Mike
Diehl

    madpenguin8@yahoo.com

Amarok-utvecklingspatrullen
Utvecklare
Stefan
Asserhäll

    stefan.asserhall@comhem.se

Översättare
2005
Amarok-utvecklingspatrullen
2006
Dokumentationslaget
&FDLNotice;
2006-02-20
2.1

&amarok; är en mediaspelare för K-skrivbordsmiljön.

KDE
multimedia
spelare
ljud
ogg
MP3
wav
musik
ljud
skript

## Inledning

Logotyp

&amarok; är en ljudspelare för &kde; som är ytterst kraftfull, men ändå förvånansvärt lättanvänd.

Med &amarok; kan du helt enkelt dra och släppa musik i spellistan istället för att söka igenom ändlösa menyer. Kanske letar du efter just den där låten bland tusentals i din samling? &amarok;s samlingsbläddrare med sin sökrad hjälper dig att hitta låten efter bara några sekunder.

Det kan verka som om &amarok; har samma gamla funktioner som finns i de vanliga ljudspelarna, men vi slutade inte med det. Ta en titt på sammanhangsbläddraren så ser du varför &amarok; är ett steg före mängden. Sammanhangsbläddraren visar all möjlig information som hör ihop med spåret som du för tillfället spelar, från albumomslaget till annan musik av samma artist, samt liknande artister: ett informativt och roligt sätt att lära dig mer om din samling.

Har du redan många olika spellistor men kan aldrig bestämma dig för vilken du vill använda? Då är spellistebläddraren till för dig. Vet du aldrig vad du vill lyssna på? Det dynamiska läget i Amarok väljer musik åt dig, och smarta spellistor låter dig hoppa direkt till speciella delar av din samling.

Amarok har enastående stöd för Apples iPod, iRivers IFP och en mängd generella USB-enheter. Det finns också flera olika ljudgränssnitt som låter dig välja hur du lyssnar på din musik. Detta och andra funktioner gör den till den mest avancerade ljudspelaren som är tillgänglig. &amarok; är smart, sexig och klipsk. Vi hoppas att du verkligen får "återupptäcka din musik" genom att använda den!

&amarok-quick;

&amarok-config;

&amarok-using;

&amarok-advanced;

&amarok-faq;

## Tack till och licens

Program copyright 2003-2005 Mark Kretschmann markey@web.de och AmaroK-gruppen.

### AmaroK-gruppen

- Christian tjejmagneten Muehlhaeuser chris@chris.de

- Frederik jag är inte tysk! Holljen fh@ez.no

- Mark det är bra, men det är inte irssi Kretschmann markey@web.de

- Max makt åt sköldpaddorna Howell max.howell@methylblue.com

- Mike rosa är inte flickaktigt! Diehl madpenguin8@yahoo.com

- Pierpaolo spagettikodaren Di Panfilo pippo_dp@libero.it

- Roman Gud sade: "Mac, bli till!" Becker roman@formmorf.de

- Seb Surfar Down Under Ruiz me@sebruiz.net

- Stanislav var det någon som sa DCOP? Karchebny Stanislav.Karchebny@kdemail.net

### Bidragsgivare:

- Adam Pigg (analysatorer, programfixar) adam@piggz.fsnet.co.uk

- Adeodato Simo (programfixar) asp16@alu.ua.es

- Alexandre Oliveira (förbättringar, felrättningar) aleprj@gmail.com

- Andreas Mair (stöd för MySql) am_ml@linogate.com

- Andrew de Quincey (Stöd för Postgresql) adq_dvb@lidskialf.net

- Christie Harris (reklammakare) dangle.baby@gmail.com

- Dan Leinir Turthra Jensen (startguiden) admin@removeleinir.dk

- Dan Meltzer (reklammakare) hydrogen@notyetimplemented.com

- Enrico Ros (analysatorer, OpenGL-kung) eros.kde@email.it

- Florian 'da-flow' Egerer (Amaroks programikon 'Blå varg') flo_for_never@gmx.at

- Gérard Dürrmeyer (ikoner och bildarbete) gerard@randomtree.com

- Greg Meyer (underbar hjälp med vårt jordskred med fel innan 1.2) greg@gkmweb.com

- Harald Sitter (reklammakare, översättningar, felrättningar, skärmbilder) harald.sitter@kdemail.net

- Ian Monroe (programfixar, Ruby-skriptmall (eean) ) ian@monroe.nu

- Jarkko Lehti (test) grue@iki.fi

- Jocke Andersson (reklammakare) ajocke@gmail.com

- Kenneth Wesley Wimer II (ikoner) kwwii@bootsplash.org

- Kenny Lemieux (Amarok webbansvarig) swaft@pwsp.net

- Melchior Franz (ny FFT-rutin, felrättningar) mfranz@kde.org

- Michael Pyne (K3B-exportkod) michael.pyne@kdemail.net

- Nenad Grujicic (startskärm för 1.1) mchitman@neobee.net

- Olivier Bédard (värddator för webbplats) paleo@pwsp.net

- Reigo Reinmets (stöd för Wikipedia, programfixar) xatax@hot.ee

- Roland Gigler (MAS-gränssnitt) michael.pyne@kdemail.net

- Sami Nieminen (stöd för Audioscrobbler) sami.nieminen@iki.fi

- Scott Wheeler (TagLib) wheeler@kde.org

- Stefan Bogner (massa grejer) bochi@online.ms

- Adeodato Simo (programfixar, felrättningar) asp16@alu.ua.es

- Sven Krohlas (reklammakare) sven@asbest-online.de

- Whitehawk Stormchaser (test, programfixar) zerokode@gmx.net

Dokumentation copyright 2005 Mike Diehl madpenguin8@yahoo.com

&underFDL; &underGPL;

&amarok-req;

## Installation

### Hur man skaffar &amarok;

&amarok; kan laddas ner från &amarok;s hemsida

Den senaste utvecklingsversionen kan skaffas från &kde; SVN, modulen /trunk/extragear/multimedia/amarok/.

#### Hur man kompilerar &amarok;

För att kompilera och installera Amarok på ditt system, skriv följande i baskatalogen för Amaroks distribution:

`./configure --prefix=`kde-config --prefix`` `make` `su -c "make install"`

Väljaren --enable-final i configure stöds inte längre.

Eftersom &amarok; använder autoconf och automake bör du inte ha några problem att kompilera det. Skulle du stöta på problem, var snäll och rapportera dem till &kde;:s e-postlistor.

#### Konfigureringsväljare

&amarok; liknar många andra program med avseende på att det har flera valfria funktioner vid kompilering som kan aktiveras eller inaktiveras under konfigureringen. Det här är en lista över funktionerna som kan konfigureras.

Vissa kompileringsfunktioner kräver att särskilda beroenden är uppfyllda. Se avsnittet om krav för mer detaljerad information.

Väljare | Förval | Beskrivning
--- | --- | ---
--enable-debug= | no | Aktiverar avlusningssymboler. Välj antingen yes (ja), no (nej) eller full (fullständiga). Använd väljaren full om du har för avsikt att hjälpa till med utveckling av &amarok;.
--enable-mysql | Inaktiverad | Aktiverar stöd för MySql databas i &amarok;
--disable-amazon | Aktiverad | Inaktiverar nerladdningsstöd för omslagsbilder från Amazon i &amarok;
--without-arts | Med | Inaktiverar stöd för aRts i &amarok;
--without-gstreamer | Med | Inaktiverar stöd för Gstreamer i &amarok;
--with-helix | Med | Aktiverar stöd för Helix-gränssnittet i &amarok;
--without-xine | Med | Inaktiverar stöd för Xine i &amarok;
--with-nmm | Utan | Aktiverar stöd för NMM i &amarok;
--with-mas | Utan | Aktiverar stöd för MAS i &amarok;
--without-opengl | Med | Inaktiverar stöd för OpenGL (analysatorer) i &amarok;
--without-included-sqlite | Med | Använd inte den inkluderade källkoden för sqlite (kräver att sqlite är installerat)

&documentation.index;